//-------------------------------------------------------------------------*
// 工 程 名: SCIIntRe                                                      *
// 硬件连接: 接PC机串口                                                    *
// 程序描述: 使用SCI1和PC机通信                                            *
//         定时发送"Hello! World! "到PC机                                *
//         同时等待接收PC机发送的数据，当接收到了来自PC机的数据后立即回发*
// 目    的: 初步掌握利用中断方式进行串行通信的基本知识                    *
// 说    明: 波特率为9600,使用SCI1口                                       *
//----------------苏州大学飞思卡尔嵌入式系统实验室2009年-------------------*

#include "Includes.h"

//在此添加全局变量定义


void main(void)
{
    //1 关总中断
    DisableInterrupts();     //禁止总中断
    //2 芯片初始化
    MCUInit();
    //3 串行口初始化
    //使用SCI1模块,使用系统时钟作为SCI的时钟源
    //波特率为9600
    SCIInit(1,SYSTEM_CLOCK,38400);
    //4 开放中断
    EnableSCIReInt();        //开放SCI接收中断
    EnableInterrupts();      //开放总中断
    //5 主循环                                                                                                              
    while (1)                      
    {
    }
}
